import { FormCheckbox } from './FormCheckbox';
import { Meta, Story, Canvas, ArgTypes, Source } from '@storybook/addon-docs/blocks';
import * as FormCheckboxStories from './FormCheckbox.stories';

<Meta
  title="Forms/Atoms/Checkbox"
  of={FormCheckboxStories}
  parameters={{ viewMode: 'docs'}}
/>

# Form Checkbox

<Source language="ts" code={`import { FormCheckbox } from '@batoanng/mui-components';`} />

The `FormCheckbox` provides a hook-form integration for a single checkbox field.

## Simple use case

<Canvas of={FormCheckboxStories.Default} />

## With validation rules

Any violation of `rules` will show in a standard error message under the component.

<Canvas of={FormCheckboxStories.Rules} />


## Arguments

<ArgTypes of={FormCheckbox} />
